Source: python-jsonpath-rw
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pytest,
 python3-setuptools,
Build-Depends-Indep:
 python3-decorator,
 python3-ply,
 python3-six,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw.git
Homepage: https://github.com/kennknowles/python-jsonpath-rw

Package: python3-jsonpath-rw
Architecture: all
Depends:
 python3-decorator,
 python3-ply,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: extended implementation of JSONPath for Python 3.x
 This library provides a robust and significantly extended implementation of
 JSONPath for Python. It is tested with Python 2.6, 2.7, 3.2, and 3.3.
 .
 This library differs from other JSONPath implementations in that it is a full
 language implementation, meaning the JSONPath expressions are first class
 objects, easy to analyze, transform, parse, print, and extend.
 .
 The JSONPath syntax supported by this library includes some additional
 features and omits some problematic features (those that make it unportable).
 In particular, some new operators such as "|" and "where" are available, and
 parentheses are used for grouping not for callbacks into Python, since with
 these changes the language is not trivially associative. Also, fields may be
 quoted whether or not they are contained in brackets.
 .
 This package provides the Python 3.x module.
